{
  description = "The collection of hydra jobs";

  inputs = {
    dotfiles.url = "git+https://gitlab.julian-mutter.de/julian/dotfiles?ref=flake-updates";
    # dotfiles.inputs.nixpkgs.follows = "nixpkgs";

    # sheet-organizer.url = "git+https://gitlab.julian-mutter.de/julian/sheet-organizer";
    # sheet-organizer.inputs.nixpkgs.follows = "nixpkgs";

    # music-reader.url = "git+https://gitlab.julian-mutter.de/julian/music-reader";
    # music-reader.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = inputs: {
    hydraJobs = {
      x86_64-linux = {
        # music-reader = inputs.music-reader.defaultPackage.x86_64-linux;
        # sheet-organizer = inputs.sheet-organizer.packages.x86_64-linux;

        aspi = inputs.dotfiles.nixosConfigurations.aspi.config.system.build.toplevel;
        builder = inputs.dotfiles.nixosConfigurations.builder.config.system.build.toplevel;
        kardorf = inputs.dotfiles.nixosConfigurations.kardorf.config.system.build.toplevel;
      };
      aarch64-linux = {
        # music-reader = inputs.music-reader.defaultPackage.aarch64-linux;
        # sheet-organizer = inputs.sheet-organizer.packages.aarch64-linux;

        pianonix = inputs.dotfiles.nixosConfigurations.pianonix.config.system.build.toplevel;
      };
    };
  };
}
